Can I use the latest zwave-2.4.0-SNAPSHOT with OH2.3.0 Release Build?

Tags: #<Tag:0x00007f4339d409f8>

I requested a new device to be added to the ZWave database. BTW Thank you @chris!
As I’m waiting for a new buiild, I’m trying to figure out what the process is to load the new jar, I came across this post that has the steps and the location of the zwave nightly build:
https://community.openhab.org/t/how-do-i-get-an-addon-zwave-from-the-nightly-build/48132/3

The filename of the nightly build appears it is for OH 2.4.0, but I’m running the 2.3.0 Release Build.

Do I have to upgrade my OH from 2.3.0 --> 2.4.0? Or can I load the 2.4.0 nightly build jar right into 2.3.0?

I know a newb question, but I wanted to ask :slight_smile:

Thanks
Greg

Others have done this successfully. But others have also reported 500 errors when configuring devices and upgrading to a snapshot fixed them. YMMV.

Also, this may be helpful. If you use it, select the Master branch, not Development.

I ran the dev zwave binding on 2.3 without issue - I have now moved to the milestone builds (more up to date than release, but more tested than snapshot. I have found it more stable than my 2.3 install, but that could well be due to other factors.

Thank you @5iver and @elite!

@5iver I tried out your script and I loaded the zwave binding into my OH!

1 Like